List All Protected Cloud Apps

Retrieve the list of all protected SaaS apps.

Query Params
string

Specify the name of the application for which you want to retrieve a list of associated devices.

Example: Exchange Online

string

Specify the column name to use for sorting the list of devices that the API returns.

xample: To sort the device list by the application name, set sortByColumn=appName.

string

Specify the order in which to sort the results based on the column specified in the sortByColumn parameter.

  • Set it to asc to sort the data in ascending order or

  • Set it to desc to sort the data in descending order.

string

Specify a search term to filter the list of devices returned. The results will include devices whose appName partially matches the provided search term (case-insensitive).

Example: To search for devices with application names containing Test, set searchTerm=Test. This would match applications like "TestApp", "MyTestApplication", and "ProductionTestSuite".

userID
array of numbers

Specify the user IDs for which to retrieve device lists.

  • If provided, the API will return the list of devices associated with the specified user(s).

  • If not provided, the API will return the list of devices for all users.

Example: To retrieve the device list for the user with ID 123, set userID=[123]. To retrieve device lists for multiple users, such as 123 and 456, set userID=[123, 456].

userID
profileID
array of numbers

Specify an array of profile IDs for which to retrieve device lists.

  • If provided, the API will return the list of devices associated with the specified profile(s).

  • If not provided, the API will return the list of devices for all profiles.

Example: To retrieve the device list for the profile with ID 123, set profileID=[123]. To retrieve device lists for multiple profiles, such as 123 and 456, set profileID=[123, 456].

profileID
string

Specify the number of devices to include in each page of the paginated response. This value must be an integer between 1 and 1000.

If not provided, the default page size is 1000.

Example: To retrieve the device list in pages of 25 devices at a time, set pageSize=25.

string

Specify the token to access the next page of results. Keep this field blank in the first request. Use the token value received in the previous response's parameter nextPageToken

workload
array of strings
required

Specify the workload for which to retrieve the list of devices. Each workload identifier corresponds to the cplatform value stored in the device table.

workload*
string

Specify the backup status flag to filter the list of devices based on their last backup status.The provided value must match the backup status exactly (case-sensitive), and partial matches are not accepted.

integer

Specify the lastBackupTime flag as an date (epochtime) to filter out the devices based on their last successful backup time.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json